import 'package:flutter/cupertino.dart';
import 'package:flutter/services.dart';
import 'package:screen_plus_platform_interface/src/platform_interface/screen_plus_platform.dart';

const MethodChannel _channel = MethodChannel('com.hank.flutter/screen_plus');

class MethodChannelScreenPlus extends ScreenPlusPlatform {
  @visibleForTesting
  MethodChannel get channel => _channel;

  @override
  Future<double> get deviceBrightness async =>
      (await _channel.invokeMethod('deviceBrightness')) as double;

  @override
  Future setDeviceBrightness(double brightness) async {
    return _channel
        .invokeMethod('setDeviceBrightness', {"brightness": brightness});
  }

  @override
  Future<bool> get isKeptScreenOn async {
    return (await _channel.invokeMethod('isKeptScreenOn')) as bool;
  }

  @override
  Future keepScreenOn(bool on) async {
    return _channel.invokeMethod('keepScreenOn', {"on": on});
  }
}
