import 'package:plugin_platform_interface/plugin_platform_interface.dart';
import 'package:screen_plus_platform_interface/src/method_channel/method_channel_screen_plus.dart';

abstract class ScreenPlusPlatform extends PlatformInterface {
  ScreenPlusPlatform() : super(token: _token);
  static final Object _token = Object();
  static ScreenPlusPlatform _instance = MethodChannelScreenPlus();

  static ScreenPlusPlatform get instance => _instance;

  static set instance(ScreenPlusPlatform instance) {
    PlatformInterface.verify(instance, _token);
    _instance = instance;
  }

  Future<double> get deviceBrightness async{
    throw UnimplementedError('deviceBrightness() has not been implemented');
  }

  Future setDeviceBrightness(double brightness) async{
    throw UnimplementedError('setDeviceBrightness() has not been implemented');
  }

  Future<bool> get isKeptScreenOn async{
    throw UnimplementedError('isKeptScreenOn() has not been implemented');
  }

  Future keepScreenOn(bool on) async{
    throw UnimplementedError('keepScreenOn() has not been implemented');
  }
}
